Subject: RE: bug#6991: Please keep bytecode out of *Backtrace* buffers

From: Drew Adams <[email-masked]>
Date: Fri, 18 Nov 2016 18:37:49 -0800 (PST)

> I would propose something like the below, which will cause the NUL
> byte to be rendered as \0 instead of ^@.  We could potentially do this
> with other control characters too, if they cause trouble too?
> 
> I do think it's worth keeping the bytecode in the backtrace, because
> it's not useless: you can run `disassemble' on it and get something
> meaningful.  Perhaps hiding the byte code with display properties
> would be useful.

Any improvement is an improvement.  Please go for it.  Thx.

That's a simple change that shouldn't introduce new problems.
If others propose more elaborate improvements, they will likely
be independent - this won't bother them.